#
# Copyright 2010 Andrey Churin. All Rights Reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

import os
import sys
import datetime

from closurebuilder.util import ClosureCommand, Error, Command
from closurebuilder.metadata import Metadata


__all__ = ['ClosureInitCommand']


class ClosureInitCommand(ClosureCommand):
    """Initialize closure project"""
    summary = __doc__

    min_args = 0
    max_args = 0

    default_verbosity = 3

    group_name = 'Closure'

    parser = Command.standard_parser(simulate=True)

    def command_execute(self):
        meta = Metadata.get_instance()

        meta.copy_file('sources_tmpl', meta.closure_dir, 'sources.txt', False)
        meta.copy_file('compiler-settings_tmpl', meta.closure_dir,
                                        'compiler-settings.txt', False)
        meta.copy_file('closure-top_tmpl', meta.closure_dir,
                                        'closure-top.txt', False)
        meta.configure()
